blob: 1b146710f2d15f2580a120eafa02e0da14b14bcb [file] [log] [blame]
package-version=${version;===;${Bundle-Version}}
apiguardian-api-version-range=${range;[===,+);1.1.0}
junit-platform-engine-version-range=${range;[===,+);1.7.1}
junit-platform-commons-version-range=${range;[===,+);1.7.1}
Export-Package: \
!about.html,!about-files, \
*.internal.*;x-internal:=true;version="${package-version}", \
*.implementation.*;x-internal:=true;version="${package-version}", \
*.impl.*;x-internal:=true;version="${package-version}", \
*;version="${package-version}"
Import-Package: \
org.junit.platform.engine.*;version="${junit-platform-engine-version-range}", \
org.junit.platform.commons.*;version="${junit-platform-commons-version-range}", \
org.apiguardian.api;version="${apiguardian-api-version-range}", \
*;resolution:=optional